/**
 * This class represents a simple picture. You can draw the picture using
 * the draw method. But wait, there's more: being an electronic picture, it
 * can be changed. You can make the ball bounce after it is drawn.
 * 
 * This is the Moving Object project, part of the lab on 9/4, submitted by
 * Erin Black
 * 
 * 
 * 
 * @author  Michael Kolling and David J. Barnes
 * @version 1.1  (24 May 2001)
 */
public class Picture
{
    private Circle ball;
    private Triangle stem1;
    private Triangle stem2;
    private Triangle stem3;
    private Circle flower1;
    private Circle flower2;
    private Circle flower3;

    /**
     * Constructor for objects of class Picture
     */
    public Picture()
    {
        // nothing to do... instance variables are automatically set to null
    }

    /**
     * Draw this picture.
     */
    public void draw()
    {    
        //draw ball
        ball = new Circle();
        ball.changeSize(50);
        ball.changeColor("magenta");
        ball.moveHorizontal(100);
        ball.moveVertical(-105);
        ball.makeVisible();
        
        //draw flowers        
        stem1 = new Triangle();
        stem1.changeColor("green");
        stem1.changeSize(50, 15);
        stem1.moveHorizontal(-20);
        stem1.moveVertical(170);
        stem1.makeVisible();
        
        flower1 = new Circle();
        flower1.changeColor("blue");
        flower1.changeSize(20);
        flower1.moveVertical(120);
        flower1.makeVisible();
        
        stem2 = new Triangle();
        stem2.changeColor("green");
        stem2.changeSize(50, 15);
        stem2.moveHorizontal(200);
        stem2.moveVertical(170);
        stem2.makeVisible();
        
        flower2 = new Circle();
        flower2.changeColor("yellow");
        flower2.changeSize(20);
        flower2.moveHorizontal(220);
        flower2.moveVertical(120);
        flower2.makeVisible();
        
        stem3 = new Triangle();
        stem3.changeColor("green");
        stem3.changeSize(30, 5);
        stem3.moveHorizontal(170);
        stem3.moveVertical(150);
        stem3.makeVisible();
        
        flower3 = new Circle();
        flower3.changeColor("red");
        flower3.changeSize(10);
        flower3.moveHorizontal(195);
        flower3.moveVertical(100);
        flower3.makeVisible();
    }
    
    /*
     * Make the ball bounce (by moving up and down).
     */
    public void bounce()
    {
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(30);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(-20);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(20);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(-12);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(12);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(-8);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(8);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(-5);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(5);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(-3);
        }
        
        for (int i = 1; i <= 10; i ++)
        {
            ball.slowMoveVertical(3);
        }
    }

}